Bullet Collision Detection & Physics Library: btStaticPlaneShape Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
btStaticPlaneShape Class Reference

The btStaticPlaneShape simulates an infinite non-moving (static) collision plane. More...

`#include <btStaticPlaneShape.h>`

Inheritance diagram for btStaticPlaneShape:
[legend]
Collaboration diagram for btStaticPlaneShape:
[legend]

## Public Member Functions
| BT_DECLARE_ALIGNED_ALLOCATOR ()
| btStaticPlaneShape (const btVector3 &planeNormal, btScalar planeConstant)
virtual | ~btStaticPlaneShape ()
virtual void | getAabb (const btTransform &t, btVector3 &aabbMin, btVector3 &aabbMax) const
| getAabb returns the axis aligned bounding box in the coordinate frame of the given transform t.
virtual void | processAllTriangles (btTriangleCallback *callback, const btVector3 &aabbMin, const btVector3 &aabbMax) const
virtual void | calculateLocalInertia (btScalar mass, btVector3 &inertia) const
virtual void | setLocalScaling (const btVector3 &scaling)
virtual const btVector3 & | getLocalScaling () const
const btVector3 & | getPlaneNormal () const
const btScalar & | getPlaneConstant () const
virtual const char * | getName () const
virtual int | calculateSerializeBufferSize () const
virtual const char * | serialize (void *dataBuffer, btSerializer *serializer) const
| fills the dataBuffer and returns the struct name (and 0 on failure)
Public Member Functions inherited from btConcaveShape
| BT_DECLARE_ALIGNED_ALLOCATOR ()
| btConcaveShape ()
virtual | ~btConcaveShape ()
virtual btScalar | getMargin () const
virtual void | setMargin (btScalar collisionMargin)
Public Member Functions inherited from btCollisionShape
| BT_DECLARE_ALIGNED_ALLOCATOR ()
| btCollisionShape ()
virtual | ~btCollisionShape ()
virtual void | getBoundingSphere (btVector3 &center, btScalar &radius) const
virtual btScalar | getAngularMotionDisc () const
| getAngularMotionDisc returns the maximum radius needed for Conservative Advancement to handle time-of-impact with rotations.
virtual btScalar | getContactBreakingThreshold (btScalar defaultContactThresholdFactor) const
void | calculateTemporalAabb (const btTransform &curTrans, const btVector3 &linvel, const btVector3 &angvel, btScalar timeStep, btVector3 &temporalAabbMin, btVector3 &temporalAabbMax) const
| calculateTemporalAabb calculates the enclosing aabb for the moving object over interval [0..timeStep) result is conservative
bool | isPolyhedral () const
bool | isConvex2d () const
bool | isConvex () const
bool | isNonMoving () const
bool | isConcave () const
bool | isCompound () const
bool | isSoftBody () const
bool | isInfinite () const
| isInfinite is used to catch simulation error (aabb check)
int | getShapeType () const
virtual btVector3 | getAnisotropicRollingFrictionDirection () const
| the getAnisotropicRollingFrictionDirection can be used in combination with setAnisotropicFriction See Bullet/Demos/RollingFrictionDemo for an example
void | setUserPointer (void *userPtr)
| optional user data pointer
void * | getUserPointer () const
void | setUserIndex (int index)
int | getUserIndex () const
void | setUserIndex2 (int index)
int | getUserIndex2 () const
virtual void | serializeSingleShape (btSerializer *serializer) const

## Protected Attributes
btVector3 | m_localAabbMin
btVector3 | m_localAabbMax
btVector3 | m_planeNormal
btScalar | m_planeConstant
btVector3 | m_localScaling
Protected Attributes inherited from btConcaveShape
btScalar | m_collisionMargin
Protected Attributes inherited from btCollisionShape
int | m_shapeType
void * | m_userPointer
int | m_userIndex
int | m_userIndex2

## Detailed Description

The btStaticPlaneShape simulates an infinite non-moving (static) collision plane.

Definition at line 22 of file btStaticPlaneShape.h.

## Constructor & Destructor Documentation

## ◆ btStaticPlaneShape()

btStaticPlaneShape::btStaticPlaneShape | ( | const btVector3 & | planeNormal,
|  | btScalar | planeConstant )

Definition at line 20 of file btStaticPlaneShape.cpp.

## ◆ ~btStaticPlaneShape()

btStaticPlaneShape::~btStaticPlaneShape | ( |  | ) |
| virtual

Definition at line 27 of file btStaticPlaneShape.cpp.

## Member Function Documentation

## ◆ BT_DECLARE_ALIGNED_ALLOCATOR()

btStaticPlaneShape::BT_DECLARE_ALIGNED_ALLOCATOR | ( |  | ) |

## ◆ calculateLocalInertia()

void btStaticPlaneShape::calculateLocalInertia | ( | btScalar | mass,
|  | btVector3 & | inertia ) const
| virtual

Implements btCollisionShape.

Definition at line 77 of file btStaticPlaneShape.cpp.

## ◆ calculateSerializeBufferSize()

int btStaticPlaneShape::calculateSerializeBufferSize | ( |  | ) | const
| inlinevirtual

Reimplemented from btCollisionShape.

Definition at line 79 of file btStaticPlaneShape.h.

## ◆ getAabb()

void btStaticPlaneShape::getAabb | ( | const btTransform & | t,
|  | btVector3 & | aabbMin,
|  | btVector3 & | aabbMax ) const
| virtual

getAabb returns the axis aligned bounding box in the coordinate frame of the given transform t.

Implements btCollisionShape.

Definition at line 31 of file btStaticPlaneShape.cpp.

## ◆ getLocalScaling()

const btVector3 & btStaticPlaneShape::getLocalScaling | ( |  | ) | const
| virtual

Implements btCollisionShape.

Definition at line 90 of file btStaticPlaneShape.cpp.

## ◆ getName()

virtual const char * btStaticPlaneShape::getName | ( |  | ) | const
| inlinevirtual

Implements btCollisionShape.

Definition at line 60 of file btStaticPlaneShape.h.

## ◆ getPlaneConstant()

const btScalar & btStaticPlaneShape::getPlaneConstant | ( |  | ) | const
| inline

Definition at line 54 of file btStaticPlaneShape.h.

## ◆ getPlaneNormal()

const btVector3 & btStaticPlaneShape::getPlaneNormal | ( |  | ) | const
| inline

Definition at line 49 of file btStaticPlaneShape.h.

## ◆ processAllTriangles()

void btStaticPlaneShape::processAllTriangles | ( | btTriangleCallback * | callback,
|  | const btVector3 & | aabbMin,
|  | const btVector3 & | aabbMax ) const
| virtual

Implements btConcaveShape.

Definition at line 48 of file btStaticPlaneShape.cpp.

## ◆ serialize()

const char * btStaticPlaneShape::serialize | ( | void * | dataBuffer,
|  | btSerializer * | serializer ) const
| inlinevirtual

fills the dataBuffer and returns the struct name (and 0 on failure)

Reimplemented from btCollisionShape.

Definition at line 85 of file btStaticPlaneShape.h.

## ◆ setLocalScaling()

void btStaticPlaneShape::setLocalScaling | ( | const btVector3 & | scaling | ) |
| virtual

Implements btCollisionShape.

Definition at line 86 of file btStaticPlaneShape.cpp.

## Member Data Documentation

## ◆ m_localAabbMax

btVector3 btStaticPlaneShape::m_localAabbMax
| protected

Definition at line 27 of file btStaticPlaneShape.h.

## ◆ m_localAabbMin

btVector3 btStaticPlaneShape::m_localAabbMin
| protected

Definition at line 26 of file btStaticPlaneShape.h.

## ◆ m_localScaling

btVector3 btStaticPlaneShape::m_localScaling
| protected

Definition at line 31 of file btStaticPlaneShape.h.

## ◆ m_planeConstant

btScalar btStaticPlaneShape::m_planeConstant
| protected

Definition at line 30 of file btStaticPlaneShape.h.

## ◆ m_planeNormal

btVector3 btStaticPlaneShape::m_planeNormal
| protected

Definition at line 29 of file btStaticPlaneShape.h.

The documentation for this class was generated from the following files:

- btStaticPlaneShape.h
- btStaticPlaneShape.cpp